package com.sagacloud.search.objs;

import com.sagacloud.search.infoPoint.InformationPoint;

/**
 * Created by wo on 8/21/17.
 */
public class SearchViewBaseObj {
    private String id;
    private InformationPoint sysName;
    private InformationPoint localName;
    private InformationPoint localId;



    public SearchViewBaseObj(String id, InformationPoint sysName, InformationPoint localName, InformationPoint localId) {
        this.id = id;
        this.sysName = sysName;
        this.localName = localName;
        this.localId = localId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public InformationPoint getSysName() {
        return sysName;
    }

    public void setSysName(InformationPoint sysName) {
        this.sysName = sysName;
    }

    public InformationPoint getLocalName() {
        return localName;
    }

    public void setLocalName(InformationPoint localName) {
        this.localName = localName;
    }

    public InformationPoint getLocalId() {
        if(localId == null){
            return new InformationPoint(null, null);
        }
        return localId;
    }

    public void setLocalId(InformationPoint localId) {
        this.localId = localId;
    }
}

